# -*- coding: UTF-8 -*-

import sys
import os
import shutil
import addonHandler
import gui
import wx
import globalPlugins
from locale import getdefaultlocale
from speechDictHandler import speechDictsPath

def onInstall():
	if getdefaultlocale()[0].split("_")[0] == 'es':
		if "applicationDictionary" not in globalPlugins.__dict__.keys():
			if gui.messageBox(u"Para traducir Winboard necesitas el complemento ApplicationsDictionary.\nQuieres descargarlo ahora?", u"Complemento Winboard", wx.YES_NO) == 2:
				os.startfile(r"https://github.com/RickLeon/applicationDictionary/releases/download/1.3-dev/applicationDictionary-1.3-dev.nvda-addon")
				try:
					if os.path.exists(os.path.join(speechDictsPath, "winboard.dic")):
						os.rename(os.path.join(speechDictsPath, "winboard.dic"), os.path.join(speechDictsPath, "winboard_dic.bak"))
					shutil.copy2(os.path.join(addonHandler._getDefaultAddonPaths()[-1], "winboard\\winboard.dic"), os.path.join(speechDictsPath, "winboard.dic"))
				except:
					pass
